@keyframes slideshowTextRiseUp {
  0% {
    opacity: 0;
    transform: translateY(120%);
  }

  to {
    opacity: 1;
    transform: translateY(0%);
  }
}

.banner-slideshow {
  display: block;
  position: relative;

  --control-item-color: 255, 255, 255;
}

@media screen and (max-width: 959px) {

  /* The text is below the image */
  .banner-slideshow-layout--text-bottom,
  .banner-slideshow-layout--text-overlap {
    --control-item-color: var(--color-text);
  }

  .banner-slideshow-layout--text-bottom.banner-slideshow--mobile-fullscreen .banner-slideshow__slider,
  .banner-slideshow-layout--text-overlap.banner-slideshow--mobile-fullscreen .banner-slideshow__slider {
    height: calc(var(--banner-slideshow-mobile-height, "auto") - 80px);
  }

  .banner-slideshow-layout--text-bottom.banner-slideshow--mobile-fullscreen .banner-slideshow__slide,
  .banner-slideshow-layout--text-overlap.banner-slideshow--mobile-fullscreen .banner-slideshow__slide {
    display: flex;
    flex-direction: column;
  }

  .banner-slideshow-layout--text-bottom.banner-slideshow--mobile-fullscreen .banner-slideshow-slide__media,
  .banner-slideshow-layout--text-overlap.banner-slideshow--mobile-fullscreen .banner-slideshow-slide__media {
    flex: 1 0 0;
  }

  .banner-slideshow-layout--text-bottom .banner-slideshow__slider,
  .banner-slideshow-layout--text-overlap .banner-slideshow__slider {
    height: auto;
  }

  .banner-slideshow-layout--text-bottom .banner-slideshow-slide__media,
  .banner-slideshow-layout--text-overlap .banner-slideshow-slide__media {
    height: var(--banner-slideshow-mobile-height, "auto");
  }

  .banner-slideshow-layout--text-bottom .banner-slideshow-slide__text-wrapper,
  .banner-slideshow-layout--text-overlap .banner-slideshow-slide__text-wrapper {
    position: relative;
    height: auto;
  }

  .banner-slideshow-layout--text-bottom .banner-slideshow__slide--adapt,
  .banner-slideshow-layout--text-overlap .banner-slideshow__slide--adapt {
    display: flex;
    flex-direction: column;
    align-self: stretch;
  }

  .banner-slideshow-layout--text-bottom .banner-slideshow__slide--adapt .banner-slideshow-slide__media,
  .banner-slideshow-layout--text-overlap .banner-slideshow__slide--adapt .banner-slideshow-slide__media {
    flex: 1 0 0;
  }

  .banner-slideshow-layout--text-bottom .banner-slideshow__control--dots,
  .banner-slideshow-layout--text-overlap .banner-slideshow__control--dots {
    bottom: 10px;
  }

  .banner-slideshow-layout--text-bottom[current="1"] {
    --control-item-color: var(--banner-slideshow-text-color-1, var(--color-text));
  }

  .banner-slideshow-layout--text-bottom[current="2"] {
    --control-item-color: var(--banner-slideshow-text-color-2, var(--color-text));
  }

  .banner-slideshow-layout--text-bottom[current="3"] {
    --control-item-color: var(--banner-slideshow-text-color-3, var(--color-text));
  }

  .banner-slideshow-layout--text-bottom[current="4"] {
    --control-item-color: var(--banner-slideshow-text-color-4, var(--color-text));
  }

  .banner-slideshow-layout--text-bottom[current="5"] {
    --control-item-color: var(--banner-slideshow-text-color-5, var(--color-text));
  }

  .banner-slideshow-layout--text-bottom .banner-slideshow-slide__text-wrapper {
    padding: 0 0 40px 0;
  }

  .banner-slideshow-layout--text-bottom .banner-slideshow-slide__text {
    padding: 30px 0;
  }

  .banner-slideshow-layout--text-overlap .banner-slideshow-slide__text-wrapper {
    padding: 0 20px 40px;
  }

  .banner-slideshow-layout--text-overlap .banner-slideshow-slide__text {
    width: 100%;
    max-width: unset;
    padding-left: 30px;
    padding-right: 30px;
    background-color: var(--banner-slideshow-text-area-bg-color);
    margin-top: -40px;
  }
}

.banner-slideshow__slider {
  display: flex;
  align-items: stretch;
  flex-wrap: nowrap;
  height: var(--banner-slideshow-pc-height, "auto");
}

@media screen and (max-width: 959px) {
  .banner-slideshow__slider {
    height: var(--banner-slideshow-mobile-height, "auto");
  }
}

.banner-slideshow__slide {
  position: relative;
  width: 100%;
  overflow: hidden;
}

.banner-slideshow__slide--adapt .banner-slideshow-slide__image,
.banner-slideshow__slide--adapt .banner-slideshow-slide__image-placeholder {
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
}

.banner-slideshow-slide__media {
  position: relative;
  width: 100%;
  height: 100%;
}

a.banner-slideshow-slide__media {
  display: block;
}

.banner-slideshow-slide__media::after {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: calc(var(--banner-slideshow-overlay-opacity, 0) / 100);
  background-color: #000;
  display: block;
  content: "";
  z-index: 1;
}

.banner-slideshow-slide__image {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: var(--image-show-position, center);
}

.banner-slideshow-slide__image-placeholder {
  position: relative;
  width: 100%;
  height: 100%;
  min-height: 450px;
  background-color: rgb(var(--color-image-background));
}

.banner-slideshow-slide__image-placeholder>svg {
  display: block;
  height: 100%;
  max-height: 800px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

@media screen and (max-width: 959px) {
  .banner-slideshow-slide__image-placeholder {
    min-height: 250px;
  }

  .banner-slideshow-slide__image-placeholder>svg {
    height: 80%;
  }
}

.banner-slideshow-slide__text-wrapper {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 2;
  display: flex;
}

.banner-slideshow-slide__text {
  position: relative;
  width: 100%;
}

.banner-slideshow__control {
  position: absolute;
  z-index: 2;
}






.banner-slideshow-slide__media banner {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}


.banner-slideshow-slide__text-mask {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  width: 493px;
  height: 406px;
}

.banner-slideshow-slide__text-mask.mask-deep {
  border-radius: 50%;
  background: radial-gradient(77.64% 77.64% at 50% 50%,
      rgba(0, 0, 0, 0.3) 59.64%,
      rgba(0, 0, 0, 0) 100%);
  filter: blur(120px);
}

.banner-slideshow-slide__text-mask.mask-light {
  border-radius: 50%;
  background: radial-gradient(77.64% 77.64% at 50% 50%,
      rgba(255, 255, 255, 0.3) 59.64%,
      rgba(255, 255, 255, 0) 100%);
  filter: blur(120px);
}

@media screen and (max-width: 959px) {
  .banner-slideshow-slide__text-mask {
    width: 355px;
    height: 292px;
  }
}

@media screen and (min-width: 960px) {
  .banner-slideshow-slide__text-max-width {
    padding: 0 var(--pc-content-padding, 15%);
  }

  .banner-slideshow-slide__text-max-width .banner-slideshow-slide__text {
    width: var(--pc-content-width);
    max-width: 540px;
    gap: 26px;
  }
}



.banner-slideshow__slider ul.swiper-wrapper {
  margin: 0;
  padding: 0;
  list-style: none;
}

.banner-slideshow-slide_grid {
  width: 100%;
  height: 100%;
  display: flex;
  flex-wrap: wrap;
  gap: 68px;
}

.banner-slideshow-title {
  width: calc(25% - 68px * 2/3);
}

.banner-slideshow-media {
  width: calc(50% - 68px * 2/3);
}

.banner-slideshow-content {
  width: calc(25% - 68px * 2/3);
}

.slideshow-title-list,
.slideshow-content-list,
.slideshow-media-list {
  height: 100%;
}

.slideshow-content-list ul {
  margin: 0;
  padding: 0;
  list-style: none;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.slideshow-title-list ul {
  margin: 0;
  padding: 0;
  list-style: none;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 43px;
}

.slideshow-title-btn h4 {
  font-size: 20px;
  line-height: 1.25;
  color: #FFFFFF;
  font-family: 'GT America Bold' !important;
  opacity: 0.5;
  cursor: pointer;
  transition: all 0.6s ease;
}

.slideshow-title-btn {
  width: fit-content;
}

.slideshow-title-btn.is--actived h4 {
  font-size: 26px;
  opacity: 1;
  transition: all 0.6s ease;
}

.slideshow-content-item {
  height: 0;
  overflow: hidden;
  transition: all 0.4s ease;
}

.slideshow-content-item.is--actived {
  height: auto;
  transition: all 0.4s ease;
}

.slideshow-content-item .text {
  font-size: 16px;
  line-height: 1.67;
  color: #FFFFFF;
  font-family: 'GT America-Regular';
}

.slideshow-content-item a {
  height: 52px;
  border: 1px solid #FFFFFF;
  display: flex;
  align-items: center;
  justify-content: center;
  width: fit-content;
  margin-top: 20px;
  min-width: 186px;
  padding: 10px;
  font-size: 20px;
  line-height: 1.2;
  color: #FFFFFF;
  font-family: 'GT America-Regular';
  text-transform: capitalize;
}

.slideshow-content-item a:hover {
  background: transparent;
  color: #fff;
}

.slideshow-media-list ul.swiper-wrapper {
  margin: 0;
  padding: 0;
  list-style: none;
}

.slideshow-media-wrapper {
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.slideshow-media-item {
  padding-top: 67%;
  position: relative;
  width: 100%;
}

.slideshow-media-item svg,
.slideshow-media-item img {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.slideshow-media-list {
  height: 100vh;
}

.slideshow-media-list ul.swiper-wrapper li.swiper-slide {
  transform: scale(0.85);
  transition: all 0.5s ease;
}

.slideshow-media-list ul.swiper-wrapper li.swiper-slide.swiper-slide-active {
  transform: scale(1);
  transition: all 0.5s ease;
}

.slideshow-content-info {
  display: none;
}

@media(max-width:1440px) {
  .banner-slideshow-slide_grid {
    gap: 24px;
  }

  .banner-slideshow-title {
    width: calc(25% - 24px * 2/3);
  }

  .banner-slideshow-media {
    width: calc(50% - 24px * 2/3);
  }

  .banner-slideshow-content {
    width: calc(25% - 24px * 2/3);
  }

  .slideshow-title-list ul {
    gap: 24px;
  }
}


@media(max-width:1200px) {
  .slideshow-title-btn h4 {
    font-size: 16px;
  }

  .slideshow-title-btn.is--actived h4 {
    font-size: 20px;
  }

  .slideshow-content-item .text {
    font-size: 13px;
  }

  .slideshow-content-item a {
    height: 40px;
    font-size: 16px;
    min-width: 150px;
    margin-top: 14px;
  }
}

@media(max-width:959px) {

  .banner-slideshow-title,
  .banner-slideshow-media,
  .banner-slideshow-content,
  .slideshow-media-list {
    height: 100%;
  }
}

@media(max-width:749px) {

  .banner-slideshow-title,
  .banner-slideshow-content {
    display: none;
  }

  .banner-slideshow-media {
    width: 100%;
  }

  .banner-slideshow-slide__text.page-width {
    padding: 0;
  }

  .slideshow-content-info {
    display: flex;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: 100%;
    padding: 15px;
    align-items: center;
    justify-content: center;
    text-align: center;
    background: rgba(0, 0, 0, 0.5);
  }

  .slideshow-content-details {
    max-width: 360px;
  }

  .slideshow-content-details h4 {
    font-size: 22px;
    line-height: 1.25;
    color: #FFFFFF;
    font-family: 'GT America Bold' !important;
  }

  .slideshow-content-details .text {
    margin: 8px 0;
    font-size: 14px;
    line-height: 1.3;
    color: #FFFFFF;
    font-family: 'GT America-Regular';
  }

  .slideshow-content-details a {
    height: 30px;
    border: 1px solid #FFFFFF;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    min-width: 120px;
    max-width: 120px;
    padding: 5px;
    font-size: 13px;
    line-height: 1.2;
    margin: 16px auto 0;
    color: #FFFFFF;
    font-family: 'GT America-Regular';
    text-transform: capitalize;
  }
}

@media(max-width:480px) {
  .slideshow-media-item {
    padding-top: 100%;
  }
}